
__kernel void
square(__global float* input)
{
   __local float tmp[16];
   int index = get_global_id(0);
   int loc = get_local_id(0);


   tmp[15 - loc] = input[index];

   barrier(CLK_LOCAL_MEM_FENCE);

   input[index] = tmp[loc];

}
