
__kernel void
add_mat_gpu(__global float *C,
            __global float *A,
            __global float *B,
            unsigned int size_x,
            unsigned int size_y)
{
   unsigned int xIndex = get_global_id(0);
   unsigned int yIndex = get_global_id(1);
   unsigned int n = yIndex * size_x + xIndex;

   C[n] = A[n] + B[n];
}
